<script>
	import Input from "@/components/Form/Input.svelte"
	import SVG from "@/components/svg.svelte"
	import Button from "@/components/button.svelte"

	import { createEventDispatcher } from "svelte"

	export let from = 0
	export let to = 0

	const emit = createEventDispatcher()

	const reset = () => emit("clear")
</script>

<template lang="pug">
.price.is-flex.is-align-items-center
	Input( bind:value='{from}' type="number" placeholder="0" )
	span.divider -
	Input( bind:value='{to}' type="number" placeholder="0" )
	Button( on:click!='{reset}' size="small" )
		span.icon.is-flex( slot="icon-left" ): SVG( folder="icons" name="spin" )
</template>

<style lang="scss">
	.price {
		.divider {
			color: $gray-dark;
		}
		:global(> *:not(:last-child)) {
			margin-right: .25rem;
		}
	}
</style>